import { Part } from "../data/parts";
import { Res } from "../data/results-table";

export function PartTable({data, cols}: {data: Array<Part>, cols: Array<string>}){
    let list: JSX.Element[]  = [];
    for (let index = 0; index < data.length; index++) {
        list.push(
            <tr>
                <td>{data[index].partname}</td>
                <td><a href={data[index].url}>{data[index].registrycode}</a></td>
                <td>{data[index].description}</td>
                <td>{data[index].length}</td>
                <td>{data[index].type}</td>
            </tr>
        )
    }
    let heads: JSX.Element[]  = []; 
    for (let index = 0; index < cols.length; index++) {
        heads.push(<td><b>{cols[index]}</b></td>)
    }
    return(
        <div className="flex flex-col">
     <div className="min-w-full overflow-x-auto">
       <div className="inline-block min-w-full py-4">
         <div className="overflow-hidden p-2">
           <table className="text-center parttable">
             <thead className="bg-d">
                <tr>
                    {heads}
                </tr>
             </thead>
             <tbody>
                {list}
             </tbody>
           </table>
         </div>
       </div>
     </div>
   </div>
    )
}



export function ResTable({data, cols}: {data: Array<Res>, cols: Array<string>}){
  let list: JSX.Element[]  = [];
  for (let index = 0; index < data.length; index++) {
      list.push(
          <tr>
              <td>{data[index].nr}</td>
              <td>{data[index].silent}</td>
              <td>{data[index].pbs}</td>
              <td>{data[index].att}</td>
              <td>{data[index].q1}</td>
          </tr>
      )
  }
  let heads: JSX.Element[]  = []; 
  for (let index = 0; index < cols.length; index++) {
      heads.push(<td><b>{cols[index]}</b></td>)
  }
  return(
      <div className="flex flex-col">
   <div className="min-w-full overflow-x-auto">
     <div className="inline-block min-w-full py-4">
       <div className="overflow-hidden p-2">
         <table className="text-center restable">
           <thead className="bg-d">
              <tr>
                  {heads}
              </tr>
           </thead>
           <tbody>
              {list}
           </tbody>
         </table>
       </div>
     </div>
   </div>
 </div>
  )
}